#****************************************************************************
#**
#**  File     :  /cdimage/units/URS0302/URS0302_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Cybran Battleship Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CSeaUnit = import('/lua/modules/cybranunits.lua').CSeaUnit
local CybranWeaponsFile = import('/lua/modules/cybranweapons.lua')
local CAAAutocannon = CybranWeaponsFile.CAAAutocannon
local CDFProtonCannonWeapon = CybranWeaponsFile.CDFProtonCannonWeapon
local CANNaniteTorpedoWeapon = CybranWeaponsFile.CANNaniteTorpedoWeapon
local CAMZapperWeapon = CybranWeaponsFile.CAMZapperWeapon

        
URS0302 = Class(CSeaUnit) {
	DamagableModules = {
		FrontCannon01 = {
			OnDestroy = function(parent_unit) 
				parent_unit:SetWeaponEnabledByLabel('FrontCannon01', false)
			end,
			OnEnable = function(parent_unit) 
				parent_unit:SetWeaponEnabledByLabel('FrontCannon01', true)
			end,
		},
		BackCannon01 = {
			OnDestroy = function(parent_unit) 
				parent_unit:SetWeaponEnabledByLabel('BackCannon01', false)
			end,
			OnEnable = function(parent_unit) 
				parent_unit:SetWeaponEnabledByLabel('BackCannon01', true)
			end,
		},
		AAGun01 = {
			OnDestroy = function(parent_unit) 
				parent_unit:SetWeaponEnabledByLabel('AAGun01', false)
			end,
			OnEnable = function(parent_unit) 
				parent_unit:SetWeaponEnabledByLabel('AAGun01', true)
			end,
		},
		AAGun02 = {
			OnDestroy = function(parent_unit) 
				parent_unit:SetWeaponEnabledByLabel('AAGun02', false)
			end,
			OnEnable = function(parent_unit) 
				parent_unit:SetWeaponEnabledByLabel('AAGun02', true)
			end,
		},
		LeftZapper = {
			OnDestroy = function(parent_unit) 
				parent_unit:SetWeaponEnabledByLabel('LeftZapper', false)
			end,
			OnEnable = function(parent_unit) 
				parent_unit:SetWeaponEnabledByLabel('LeftZapper', true)
			end,
		},
		RightZapper = {
			OnDestroy = function(parent_unit) 
				parent_unit:SetWeaponEnabledByLabel('RightZapper', false)
			end,
			OnEnable = function(parent_unit) 
				parent_unit:SetWeaponEnabledByLabel('RightZapper', true)
			end,
		},
	},

    Weapons = {
        FrontCannon01 = Class(CDFProtonCannonWeapon) {},
        BackCannon01 = Class(CDFProtonCannonWeapon) {},
        Torpedo01 = Class(CANNaniteTorpedoWeapon) {},
        Torpedo02 = Class(CANNaniteTorpedoWeapon) {},
        AAGun01 = Class(CAAAutocannon) {},
        AAGun02 = Class(CAAAutocannon) {},
        LeftZapper = Class(CAMZapperWeapon) {},
        RightZapper = Class(CAMZapperWeapon) {},
    },
}

TypeClass = URS0302